# $Revision: 1.19 $, $Date: 2002/02/02 00:54:37 $
Summary:	OpenSLP implementation of Service Location Protocol V2
Summary(de):	Open source Implementierung des Service Location Protocols V2
Summary(es):	Implementacin open source del Service Location Protocol V2
Summary(fr):	Implmentation Open Source du Service Location Protocol V2
Summary(it):	Implementazione open source del Service Location Protocol V2
Summary(pl):	Otwarta implementacja Service Location Protocol V2
Summary(pt):	Implementao 'open source' do protocolo Service Location Protocol V2
Name:		openslp
Version:	1.0.7
Release:	1
License:	LGPL
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Source0:	http://prdownloads.sourceforge.net/openslp/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-ac_fixes.ptch
URL:		http://www.openslp.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.6b
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/openslp

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as
defined by RFC 2608 and RFC 2614. This package include the daemon
and libraries.

%description -l de
Das Service Location Protocol ist ein IETF standard Protokoll welches
ein Gerst bereitstellt um es Netzwerk-fhigen Anwendungen zu
ermglichen die Existenz, den Ort und die Konfiguration von
Netzwerkdiensten in Unternehmensnetzwerken zu entdecken.

%description -l es
El Protocolo de Localizacin de Servicios es un protocolo de
seguimiento acorde al estndar IETF que proporciona un entorno para
permitir a las aplicaciones de red descubrir la existencia,
localizacin y configuracin de servicios de red en redes
empresariales.

%description -l fr
Service Location Protocol est un protocole de suivi des normes IETF
qui fournit un cadre permettant  des applications rseau de dcouvrir
l'existence, l'emplacement et la configuration de services de rseau
dans les rseaux d'entreprise.

%description -l it
Il Service Location Protocol (protocollo di localizzazione di servizi)
 un protocollo standard IETF che fornisce un'infrastruttura per
permettere alle applicazioni di rete di scoprire l'esistenza, la
localizzazione e la configurazione dei servizi nelle reti delle
aziende.

%description -l pl
Service Location Protocol jest zgodnym ze standardem IETF protokoem
pozwalajcym aplikacjom sieciowym na badanie istnienia, pooenia i
konfiguracji usug sieciowych.

OpenSLP jest otwart implementacj protokou SLPv2 zdefiniowanego w
RFC 2608 i RFC 2614. Ten pakiet zawiera demona i biblioteki.

%description -l pt
O Service Location Protocol  um protocolo normalizado pelo IETF que
oferece uma plataforma para permitir s aplicaes de rede que
descubram a existncia, localizao e a configurao dos servios de
rede nas redes duma empresa.

%package devel
Summary:	OpenSLP development files
Summary(pl):	Cz OpenSLP dla programistw
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
OpenSLP development files.

%description devel -l pl
Pliki nagwkowe OpenSLP.

%package static
Summary:	OpenSLP static libraries
Summary(pl):	Biblioteki statyczne OpenSLP
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
OpenSLP static libraries.

%description static -l pl
Biblioteki statyczne OpenSLP.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure \
	--enable-slpv1 \
	--enable-slpv2-security \
	--disable-predicates

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/slpd

gzip -9nf AUTHORS NEWS README doc/rfc/*txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add slpd
if [ -r /var/lock/subsys/slpd ]; then
	/etc/rc.d/init.d/slpd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/slpd start\" to start OpenSLP server."
fi


%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/slpd ]; then
		/etc/rc.d/init.d/slpd stop
	fi
	/sbin/chkconfig --del slpd
fi

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}
%config %{_sysconfdir}/slp.conf
%config %{_sysconfdir}/slp.reg
%config %{_sysconfdir}/slp.spi
%attr(754,root,root) /etc/rc.d/init.d/slpd
%attr(755,root,root) %{_sbindir}/slpd
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz doc/*
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: openslp.spec,v $
Revision 1.19  2002/02/02 00:54:37  kloczek
- updated to 1.0.7 (new feactures) nad added ac_fixes patch.

Revision 1.18  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/12/14 15:46:47  kloczek
- updated to 1.0.6 (minor changes and some fixes).

Revision 1.16  2001/11/24 08:26:24  kloczek
- updated to 1.0.5.

Revision 1.15  2001/10/29 20:51:45  kloczek
- updated to 1.0.4.

Revision 1.14  2001/10/11 02:21:35  kloczek
- updated to 1.0.3,
- removed obsoleted am15 patch (aplayed by maintainer in current version).

Revision 1.13  2001/09/25 11:27:30  qboosh
- Prereq: /sbin/chkconfig
- pl translations
- release 2

Revision 1.12  2001/09/15 11:54:11  kloczek
- added am15 patch.

Revision 1.11  2001/09/14 05:59:21  kloczek
- removed Patch0.

Revision 1.10  2001/09/14 05:30:48  kloczek
- updated to 1.0.2,
- removed ac25x patch which was aplayed to this version by maintainer.

Revision 1.9  2001/08/11 18:36:21  kloczek
- Groups to static are back.

Revision 1.8  2001/08/11 18:34:46  kloczek
- ops merge also Summaries.

Revision 1.7  2001/08/11 18:33:17  kloczek
- merge translations from Caldera spec file.

Revision 1.6  2001/08/11 18:20:58  kloczek
- added missing openssl-devel to BuildRequires.

Revision 1.5  2001/08/11 18:19:38  kloczek
- updated to 1.0.1,
- added devel and static subpackages,
- added ac25x patch (patch posted to maintainer) and regenerate ac/am/lt files
  (spec is ac 2.5x ready),
- rewrited init script.
NOTE: seems this version can now be used for some experiments :)

Revision 1.4  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/05/30 05:34:45  kloczek
- rewrited but still NYF.
